Package de.tudresden.sumo.objects

## Class SumoStage

- java.lang.Object
- - de.tudresden.sumo.objects.SumoStage

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoStage`

      public class SumoStage
      extends Object
      implements SumoObject

  Author:
    Jakob Erdmann

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `arrivalPos` |
    `double` | `cost` |
    `double` | `depart` |
    `double` | `departPos` |
    `String` | `description` |
    `String` | `destStop` |
    `SumoStringList` | `edges` |
    `String` | `intended` |
    `double` | `length` |
    `String` | `line` |
    `double` | `travelTime` |
    `int` | `type` |
    `String` | `vType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoStage()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

    - #### vType

          public String vType

    - #### line

          public String line

    - #### destStop

          public String destStop

    - #### edges

          public SumoStringList edges

    - #### travelTime

          public double travelTime

    - #### cost

          public double cost

    - #### length

          public double length

    - #### intended

          public String intended

    - #### depart

          public double depart

    - #### departPos

          public double departPos

    - #### arrivalPos

          public double arrivalPos

    - #### description

          public String description

  - ### Constructor Detail

    - #### SumoStage

          public SumoStage()